Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.schedule
Class CronSchedule

    java.lang.Object
      com.pmease.quickbuild.schedule.CronSchedule

All Implemented Interfaces:
  Schedule, java.io.Serializable

public class CronSchedule
extends java.lang.Object
implements Schedule

A unix cron-like schedule.

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`CronSchedule()`

Method Summary
`org.quartz.Trigger` | `createTrigger()`
`java.lang.String` | `getExpression()` OGNL: Cron expression for this schedule, the format is <seconds> <minutes> <hours> <day-of-month> <month> <day-of-week>.
`boolean` | `isPaused()` Specify whether this schedule should be paused or not.
`void` | `setExpression(java.lang.String expression)`
`void` | `setPaused(boolean paused)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CronSchedule

    public CronSchedule()

Method Detail

### getExpression

    public java.lang.String getExpression()

  OGNL: Cron expression for this schedule, the format is <seconds> <minutes> <hours> <day-of-month> <month> <day-of-week>.
  For example, <em>0 0 1 * * ?</em> means 1:00am every day. For details of the format, refer to http://www.opensymphony.com/quartz/wikidocs/TutorialLesson6.html.

  Returns:

### setExpression

    public void setExpression(java.lang.String expression)

### isPaused

    public boolean isPaused()

  Specify whether this schedule should be paused or not.

  Returns:

### setPaused

    public void setPaused(boolean paused)

### createTrigger

    public org.quartz.Trigger createTrigger()

  Specified by:
    `createTrigger` in interface `Schedule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.